Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ObjectPropertyUI Class Reference
Inheritance diagram for ObjectPropertyUI:

## Public Member Functions
| __init__ (self, parent, editor)
| clearPropUI (self)
| colorPickerExitCB (self, evt=None)
| colorPickerUpdateCB (self, rr, gg, bb, aa)
| onColorSlider (self, evt)
| openColorPicker (self, evt, colourData, alpha)
| updateProps (self, obj, movable=True)

## Public Attributes
| colorPicker = None
| editor = editor
| lastColorPickerPos = None
str | lastPropTab = None
| lookPane = wx.Panel(self.nb, -1, name='Look')
| nb = wx.Notebook(self.propPane, style=wx.NB_BOTTOM)
| onColorSlider = [self.propCR, self.propCG, self.propCB, self.propCA]
| propCA = ObjectPropUISlider(self.lookPane, 'CA', objRGBA[3], 0, 1)
| propCB = ObjectPropUISlider(self.lookPane, 'CB', objRGBA[2], 0, 1)
| propCG = ObjectPropUISlider(self.lookPane, 'CG', objRGBA[1], 0, 1)
| propCR = ObjectPropUISlider(self.lookPane, 'CR', objRGBA[0], 0, 1)
| propH = ObjectPropUISlider(self.transformPane, 'H', 0, 0, 360)
| propP = ObjectPropUISlider(self.transformPane, 'P', 0, 0, 360)
| propPane = self.nb.GetCurrentPage().GetName()
| propR = ObjectPropUISlider(self.transformPane, 'R', 0, 0, 360)
| propsPane = wx.Panel(self.nb, -1, name='Properties')
| propSX = ObjectPropUIEntry(self.transformPane, 'SX')
| propSY = ObjectPropUIEntry(self.transformPane, 'SY')
| propSZ = ObjectPropUIEntry(self.transformPane, 'SZ')
| propX = ObjectPropUIEntry(self.transformPane, 'X')
| propY = ObjectPropUIEntry(self.transformPane, 'Y')
| propZ = ObjectPropUIEntry(self.transformPane, 'Z')
| transformPane = wx.Panel(self.nb, -1, name='Transform')

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | editor )

## Member Function Documentation

## ◆ clearPropUI()

clearPropUI | ( |  | self | ) |

## ◆ colorPickerExitCB()

colorPickerExitCB | ( |  | self,
|  |  | evt = None )

## ◆ colorPickerUpdateCB()

colorPickerUpdateCB | ( |  | self,
|  |  | rr,
|  |  | gg,
|  |  | bb,
|  |  | aa )

## ◆ onColorSlider()

onColorSlider | ( |  | self,
|  |  | evt )

## ◆ openColorPicker()

openColorPicker | ( |  | self,
|  |  | evt,
|  |  | colourData,
|  |  | alpha )

## ◆ updateProps()

updateProps | ( |  | self,
|  |  | obj,
|  |  | movable = True )

## Member Data Documentation

## ◆ colorPicker

colorPicker = None

## ◆ editor

editor = editor

## ◆ lastColorPickerPos

lastColorPickerPos = None

## ◆ lastPropTab

str lastPropTab = None

## ◆ lookPane

lookPane = wx.Panel(self.nb, -1, name='Look')

## ◆ nb

nb = wx.Notebook(self.propPane, style=wx.NB_BOTTOM)

## ◆ onColorSlider

onColorSlider = [self.propCR, self.propCG, self.propCB, self.propCA]

## ◆ propCA

propCA = ObjectPropUISlider(self.lookPane, 'CA', objRGBA[3], 0, 1)

## ◆ propCB

propCB = ObjectPropUISlider(self.lookPane, 'CB', objRGBA[2], 0, 1)

## ◆ propCG

propCG = ObjectPropUISlider(self.lookPane, 'CG', objRGBA[1], 0, 1)

## ◆ propCR

propCR = ObjectPropUISlider(self.lookPane, 'CR', objRGBA[0], 0, 1)

## ◆ propH

propH = ObjectPropUISlider(self.transformPane, 'H', 0, 0, 360)

## ◆ propP

propP = ObjectPropUISlider(self.transformPane, 'P', 0, 0, 360)

## ◆ propPane

propPane = self.nb.GetCurrentPage().GetName()

## ◆ propR

propR = ObjectPropUISlider(self.transformPane, 'R', 0, 0, 360)

## ◆ propsPane

propsPane = wx.Panel(self.nb, -1, name='Properties')

## ◆ propSX

propSX = ObjectPropUIEntry(self.transformPane, 'SX')

## ◆ propSY

propSY = ObjectPropUIEntry(self.transformPane, 'SY')

## ◆ propSZ

propSZ = ObjectPropUIEntry(self.transformPane, 'SZ')

## ◆ propX

propX = ObjectPropUIEntry(self.transformPane, 'X')

## ◆ propY

propY = ObjectPropUIEntry(self.transformPane, 'Y')

## ◆ propZ

propZ = ObjectPropUIEntry(self.transformPane, 'Z')

## ◆ transformPane

transformPane = wx.Panel(self.nb, -1, name='Transform')